﻿$URL = "PATH"
$ErrorActionPreference ="Stop"
$PSDefaultParameterValues['*:ErrorAction']='Stop'

#First time tasks
#Install-Module SharePointPnPPowerShellOnline 
#$Creds = get-credential
#Add-PnPStoredCredential -Name $URL -Username $Creds.UserName -Password $Creds.Password

import-Module SharePointPnPPowerShellOnline 
Connect-PnPOnline $URL 

function Create-MyApp([string] $ListName, [string] $ListURL,[Microsoft.SharePoint.Client.ListTemplateType] $AppType){
    #Always versioning on
    if($ListURL -eq ""){
        $ListURL =$ListName.Replace(" ","").ToLower()
    }
    New-PnPList -Title $ListName -Template $AppType -EnableVersioning -OnQuickLaunch -Url $ListURL
    Write-Host ($AppType.ToString() + " " + $ListName + " has been created!") -ForegroundColor Green    
}

$Departments = "Sales","Production", "Support"

foreach($Dep in $Departments){
    #Create the subsite
    New-PnPWeb -Title $Dep -Url $Dep -InheritNavigation -Template SITEPAGEPUBLISHING#0

    #Add navigation node to the top site
    Add-PnPNavigationNode -Location QuickLaunch -Title $Dep -Url ($URL + "/" + $Dep)
}

foreach($Dep in $Departments){
    $CurrWebURL =($URL + "/" + $Dep)
    Connect-PnPOnline $CurrWebURL 
    foreach($DepSub in $Departments){
        if($Dep -ne $DepSub){
            Add-PnPNavigationNode -Location QuickLaunch -Title $DepSub -Url ($URL + "/" + $DepSub)
        }
    }
    Add-PnPNavigationNode -Location QuickLaunch -Title "HQ" -Url $URL
    Add-PnPNavigationNode -Location QuickLaunch -Title "Pedalling" -Url "https://pedalling.com" -External
}

#Connect back to the root site
Connect-PnPOnline $URL 
Add-PnPNavigationNode -Location QuickLaunch -Title "Pedalling" -Url "https://pedalling.com" -External

foreach($Dep in $Departments){
    Remove-PnPWeb -Url $Dep -Force
}
